let HtmlController = {
	html: null,
	token: null,
	arrayDelMult: [],

	resetData() {
		let self = this;

		self.html = null;
		self.token = sessionStorage['STCMBackEnd:token'];
		self.arrayDelMult = [];
	},

	setEvents() {
		let self = this;
		self.resetData();

		// Reducción de Header
		headerSectionHeight(0);

		// Añadir titulo
		$('#page-title').text(pf.const.language.RSC44);

		// Opciones de header
		let jsonsubopt = {
			new: 'newHtml'
		};

		let nav = `
			${createSubOptionNew(jsonsubopt.new)}
		`;

		// Acciones de página (flex-row-reverse)s
		$('#page-actions').html(nav);

		$('#newHtml svg').css('width', '24px');
		$('#newHtml svg').css('height', '24px');

		// Botón principal
		$('#newHtml').addClass('main-button');

		self.loadLanguage();

		// Redirigir a nuevo html
		$('#newHtml').click(function() {
			window.location.href = '#!html/nuevo';
		})

		self.getHtml();

		// Collapse
		addEventArrowTableHeader();
	},

	loadLanguage() {
		pf.rsc.translateByTag('text');

		// TITLES
		$('.deleteMultTitle').attr('title', pf.const.language.RSC95);
	},

	getHtml() {
		let htmlElements = new TableHtml();
		htmlElements.setEvents();
	}
};